Bug # 118333 (CLOSED): 【IOVDEV-31145】【自动化测试】【稳定性测试】【VC1】稳定性测试，副屏黑屏（自动化台架2）

5/27 黑屏问题分析
2023-05-30 20:40 - CDTS-TEST 周婷

Status: CLOSED Start date: 2023-05-19

Priority: Urgent Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: 黑屏 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.100

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: Monkey Test Root cause: 屏厂更新软件

Description

余霄，请分析黑屏相关问题，log 请查看118333的分析

Subtasks:

Bug # 118419: 【IOVDEV-31958】【内部】【VC1】【0100】【台架】【EE环境】【副屏】跑完mon... CLOSED

Bug # 118539: 【IOVDEV-32733】【内部】【VC1】【0095】【台架】【EE环境】【副屏】副屏下电后... CLOSED

Bug # 118099: 【IOVDEV-29349】【内部】【VC1】【0095】【台架】【EE环境】【副屏】副屏黑屏，... CLOSED

Bug # 118569: IOVDEV-32790【内部】【VC1】【0106】【台架】【EE环境】【副屏】【touchp... CLOSED

History

#1 - 2023-05-31 10:50 - CD BSP-余霄

Z:\home\thundersoft\HDD\Project\Figure\118333\log\FSEM_000079_0200_0527170715\kernel\000078_kernel_00076_230527_170259.log.ing (133 hits)

    Line    6: 05-27 17:02:59.902     0     0 E [84801.344798] DTC_Display: Abnormal voltage: 0mV

    Line    7: 05-27 17:02:59.902     0     0 E [84801.344811] DTC_Display: screen not ready(0), bl_sta(114), lvl(0)

    Line   16: 05-27 17:03:01.915     0     0 E [84803.356836] DTC_Display: screen not ready(0), bl_sta(113), lvl(0)

    Line   24: 05-27 17:03:03.930     0     0 E [84805.372848] DTC_Display: screen not ready(0), bl_sta(1), lvl(84)

    Line   32: 05-27 17:03:05.950     0     0 E [84807.388950] DTC_Display: screen not ready(0), bl_sta(1), lvl(84)

    Line   40: 05-27 17:03:07.964     0     0 E [84809.404886] DTC_Display: screen not ready(0), bl_sta(1), lvl(84)

    Line   48: 05-27 17:03:09.979     0     0 E [84811.420829] DTC_Display: screen not ready(0), bl_sta(1), lvl(84)

    Line   56: 05-27 17:03:12.014     0     0 E [84813.456823] DTC_Display: screen not ready(0), bl_sta(1), lvl(84)

    Line   64: 05-27 17:03:14.006     0     0 E [84815.448989] DTC_Display: screen not ready(0), bl_sta(1), lvl(84)

    Line   72: 05-27 17:03:16.028     0     0 E [84817.472841] DTC_Display: screen not ready(0), bl_sta(1), lvl(84)

    Line   80: 05-27 17:03:18.042     0     0 E [84819.484856] DTC_Display: screen not ready(0), bl_sta(1), lvl(84)

    Line   83: 05-27 17:03:19.954     0     0 E [84821.396772] DTC_Display: screen not ready(0), bl_sta(1), lvl(84)

    Line   93: 05-27 17:03:21.967     0     0 E [84823.408839] DTC_Display: screen not ready(0), bl_sta(1), lvl(84)

    Line  101: 05-27 17:03:23.991     0     0 E [84825.432884] DTC_Display: screen not ready(0), bl_sta(1), lvl(84)

    Line  109: 05-27 17:03:26.110     0     0 E [84827.552961] DTC_Display: screen not ready(0), bl_sta(1), lvl(84)

    Line  117: 05-27 17:03:28.018     0     0 E [84829.460826] DTC_Display: screen not ready(0), bl_sta(1), lvl(84)

    Line  125: 05-27 17:03:30.029     0     0 E [84831.472889] DTC_Display: screen not ready(0), bl_sta(1), lvl(84)

    Line  133: 05-27 17:03:32.055     0     0 E [84833.497016] DTC_Display: screen not ready(0), bl_sta(1), lvl(84)

    Line  141: 05-27 17:03:34.174     0     0 E [84835.616797] DTC_Display: screen not ready(0), bl_sta(1), lvl(84)

    Line  149: 05-27 17:03:36.079     0     0 E [84837.520858] DTC_Display: screen not ready(0), bl_sta(1), lvl(84)

    Line  156: 05-27 17:03:38.095     0     0 E [84839.537111] DTC_Display: screen not ready(0), bl_sta(1), lvl(84)

    Line  162: 05-27 17:03:40.115     0     0 E [84841.557033] DTC_Display: screen not ready(0), bl_sta(1), lvl(84)

    Line  173: 05-27 17:03:42.234     0     0 E [84843.676967] DTC_Display: screen not ready(0), bl_sta(1), lvl(84)

    Line  178: 05-27 17:03:44.142     0     0 E [84845.584814] DTC_Display: screen not ready(0), bl_sta(1), lvl(84)
    Line  186: 05-27 17:03:46.158     0     0 E [84847.600782] DTC_Display: screen not ready(0), bl_sta(1), lvl(84)

    Line  194: 05-27 17:03:48.174     0     0 E [84849.616776] DTC_Display: screen not ready(0), bl_sta(1), lvl(84)

    Line  202: 05-27 17:03:50.302     0     0 E [84851.744948] DTC_Display: screen not ready(0), bl_sta(1), lvl(84)

    Line  225: 05-27 17:03:54.231     0     0 E [84855.673015] DTC_Display: screen not ready(0), bl_sta(1), lvl(84)

    Line  235: 05-27 17:03:56.238     0     0 E [84857.680764] DTC_Display: screen not ready(0), bl_sta(1), lvl(84)

    Line  252: 05-27 17:03:58.260     0     0 E [84859.704863] DTC_Display: screen not ready(0), bl_sta(1), lvl(84)

    Line  266: 05-27 17:04:00.380     0     0 E [84861.825059] DTC_Display: screen not ready(0), bl_sta(1), lvl(84)

    Line  274: 05-27 17:04:02.299     0     0 E [84863.740909] DTC_Display: screen not ready(0), bl_sta(1), lvl(84)

黑屏问题为屏端异常，同黑屏BUG，将增加背光check、异常恢复等机制

#2 - 2023-05-31 16:15 - CDTS-TEST 周婷

- Due date set to 2023-06-05

#3 - 2023-06-01 14:51 - CD BSP-余霄

目前，将这段时间的黑屏BUG做分类，如下：

1.屏端软件异常，电压异常、屏幕处于not ready状态等，需屏厂更新软件解决

2.主机端投屏ok，屏端背光未打开，主机端未做异常恢复机制。5.31合入代码解决。

3.no video异常，视频信号传输异常，该类BUG旧版本日志DTC无明显报错，5.31合入代码新增视频检测信号，并打印日志。

目前屏厂monkey测试出现2台异常，但现场未保留。正在让屏厂复现，并验证修改方案，预计验证OK后6.2号合入。

从日志中分析，该BUG为第1类。

目前5.31版本已提供VB给屏厂测试中，持续跟进屏厂测试结果中。

#4 - 2023-06-02 18:32 - CD BSP-余霄

- Status changed from New to RESOLVED

- Assignee changed from CD BSP-余霄 to CDTS_TEST 王成

- Root cause set to 屏厂更新软件

该BUG需要屏厂更新MCU软件，非主机端问题。

#5 - 2023-06-05 21:25 - CDTS-TEST 周婷

- Status changed from RESOLVED to ASSIGNED

- Assignee changed from CDTS_TEST 王成 to CD BSP-杜磊

屏端MCU 软件更新后需跟踪情况

#6 - 2023-06-06 15:39 - CD BSP-杜磊

下一步：

需要刘强在青岛客户现场进行VB压测：

ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230605/202306051937-4201/FlatBuild_HH_MCE_FSE.M.D.user.01.00.C

104%28X104%29.202306051937.zip

#7 - 2023-06-07 19:54 - CD BSP-杜磊
ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230605/202306051937-4201/FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104%28X104%29.202306051937.zip
ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230605/202306051937-4201/FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104%28X104%29.202306051937.zip


添加了黑屏恢复机制的VB，需要刘强在青岛客户现场进行VB压测：

ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230607/202306071536-4240/FlatBuild_HH_MCE_FSE.M.D.user.01.00.C

104%28X104%29.202306071536.zip

#8 - 2023-06-08 17:59 - CD BSP-杜磊

0607晚使用如下Vb跑monkey 有出现黑屏的情况，但是触发恢复机制后，屏能恢复正常显示。

需要刘强在青岛客户现场再次进行VB压测：

ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230607/202306071536-4240/FlatBuild_HH_MCE_FSE.M.D.user.01.00.C

104%28X104%29.202306071536.zip

如上VB生效了，跑monkey发生了黑屏，并且能成功恢复正常显示。从log看来是解串器异常导致，

FSEM_000225_0012_0608020309/logcat/000225_persist_00151_230608_013628.log:1155:06-08 01:40:11.318     0     0 E [18446.089453] [MAX975X:

max96755x_vc1_lcd_dtc_check] ERROR DTC_Display: Tcon no video signal status:1, cnt:0

FSEM_000225_0012_0608020309/logcat/000225_persist_00151_230608_013628.log:1168:06-08 01:40:12.725     0     0 E [18447.497150] [MAX975X:

max96755x_vc1_lcd_dtc_check] ERROR DTC_Display: Tcon no video signal status:1, cnt:1

FSEM_000225_0012_0608020309/logcat/000225_persist_00151_230608_013628.log:1179:06-08 01:40:14.745     0     0 E [18449.516993] [MAX975X:

max96755x_vc1_lcd_dtc_check] ERROR DTC_Display: Tcon no video signal status:1, cnt:2

FSEM_000225_0012_0608020309/logcat/000225_persist_00151_230608_013628.log:1186:06-08 01:40:16.758     0     0 E [18451.528952] [MAX975X:

max96755x_vc1_lcd_dtc_check] ERROR DTC_Display: Tcon no video signal status:1, cnt:3

FSEM_000225_0012_0608020309/logcat/000225_persist_00151_230608_013628.log:1187:06-08 01:40:16.758     0     0 E [18451.529294] [MAX975X:

max96755x_vc1_lcd_dtc_check] ERROR DTC_Display: Max96755: reg:0x1c9: 0x21 [0x21]

FSEM_000225_0012_0608020309/logcat/000225_persist_00151_230608_013628.log:1188:06-08 01:40:16.758     0     0 E [18451.529619] [MAX975X:

max96755x_vc1_lcd_dtc_check] ERROR DTC_Display: Max96755: reg:0x1ce: 0x1f [0x1f]

FSEM_000225_0012_0608020309/logcat/000225_persist_00151_230608_013628.log:1189:06-08 01:40:16.758     0     0 E [18451.529945] [MAX975X:

max96755x_vc1_lcd_dtc_check] ERROR DTC_Display: Max96752: reg:0x03: 0x31 [0x31]

FSEM_000225_0012_0608020309/logcat/000225_persist_00151_230608_013628.log:1190:06-08 01:40:16.758     0     0 E [18451.530269] [MAX975X:

max96755x_vc1_lcd_dtc_check] ERROR DTC_Display: Max96752: reg:0x1ce: 0x6 [0x5e]

#9 - 2023-06-09 18:20 - CD BSP-杜磊

根据客户需求，当黑屏发生时，第一次包错时，将下一次检测时间改为500ms, 正常时恢复为2S

代码已修改，VB编译中

#10 - 2023-06-12 10:57 - CD BSP-杜磊

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD BSP-杜磊 to 移动测试一组_CDTS 刘强

代码已入库，请使用6/13 V110版本进行复测
#11 - 2023-08-24 17:22 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

当前已暂未此类型黑屏问题，先关闭，有问题新起BUG

#12 - 2023-08-24 17:22 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED
